diff --git a/notebook_nueva/battery_holder.py b/notebook_nueva/battery_holder.py index 139270d..c83979b 100644 --- a/notebook_nueva/battery_holder.py +++ b/notebook_nueva/battery_holder.py @@ -1,27 +1,32 @@ import cadquery as cq -cpu_stand_positions = [(0, 0), (58, 0), (58, 49), (0, 49)] +stand_positions = [(0, 0), (58, 0), (58, 49), (0, 49)] -lower_stands = cq.Sketch().push(cpu_stand_positions).circle(3, mode="a") +lower_stands = cq.Sketch().push(stand_positions).circle(3, mode="a") -higher_stands = cq.Sketch().push(cpu_stand_positions).circle(2.65 / 2, mode="a") +higher_stands = cq.Sketch().push(stand_positions).circle(2.65 / 2, mode="a") # This is a holder for DuPont cables so they connect to this # things' pogo pins which are used to power the CPU -if __name__ == "__main__": - - pin_positions = [(0, 0), (4 * 2.54, 0)] - width = 5 * 2.54 + 1 - height = 7 - model = ( - cq.Workplane("XY") - .workplane() - .box(width, height, 2.54 + 1) - .faces(">Z") - .workplane(centerOption="CenterOfBoundBox") - .center(-width / 2 + 1.3 + 0.5, 0) - .placeSketch(cq.Sketch().push(pin_positions).trapezoid(2.60, 10, 90, mode="a")) - .cutBlind(-2.54) +pin_positions = [(4, 0), (4 * 2.54 + 4, 0)] +pin_holder_width = 25 +pin_holder_height = 15 +pin_holder = ( + cq.Sketch() + .polygon( + [ + (0, 0), + (pin_holder_width, 0), + (pin_holder_width, pin_holder_height), + (0, pin_holder_height), + (0, 0), + ], + mode="a", ) - cq.exporters.export(model, "pogo_plug.stl") + .push(pin_positions) + .polygon( + [(0, 0), (2.6, 0), (2.6, pin_holder_height), (0, pin_holder_height), (0, 0)], + mode="s", + ) +) diff --git a/notebook_nueva/left_side.stl b/notebook_nueva/left_side.stl index 3fdae7e..b43956a 100644 Binary files a/notebook_nueva/left_side.stl and b/notebook_nueva/left_side.stl differ diff --git a/notebook_nueva/model.stl b/notebook_nueva/model.stl index fe1e0f4..9f4d5fb 100644 Binary files a/notebook_nueva/model.stl and b/notebook_nueva/model.stl differ diff --git a/notebook_nueva/modelo.py b/notebook_nueva/modelo.py index 5ee0734..579ad89 100644 --- a/notebook_nueva/modelo.py +++ b/notebook_nueva/modelo.py @@ -202,6 +202,12 @@ def model(): .center(-width / 2 + 21, height / 2 - 56) .placeSketch(battery_holder.higher_stands) .extrude(shell_t + 11) + # Pogo pin connector holders + .workplaneFromTagged("mid_height") + .workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox") + .center(-width / 2 + 21, height / 2 - 56 - battery_holder.pin_holder_height / 2) + .placeSketch(battery_holder.pin_holder) + .extrude(shell_t + 4) )